
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>MVP 模式在 Android 中的使用 / iVAN</title>

    <meta name="description" content="MVP 模式在 Android 中的使用 什么是MVP 作为码农你应该知道MVC(Model View Control)吧,如果不知道,请自行补脑.MVP(Model View Presenter)是MVC衍生而来的,MVP并不是一个新玩意,很早以前就由某软公司提出,近年来在Android应用开发中越来越多的被提及,越来越重要了.本文简单解介绍MVP的概念.为啥要使用MVP和在Android中如何使用,最后介绍一个Android使用MVP的例子. 概念 MVP,即 Model View Presenter,包含逻辑.视图.present">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">MVP 模式在 Android 中的使用</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>什么是MVP</strong></p>
<p>作为码农你应该知道MVC（Model View Control）吧，如果不知道，请自行补脑。MVP（Model View Presenter）是MVC衍生而来的，MVP并不是一个新玩意，很早以前就由某软公司提出，近年来在Android应用开发中越来越多的被提及，越来越重要了。本文简单解介绍MVP的概念、为啥要使用MVP和在Android中如何使用，最后介绍一个Android使用MVP的例子。</p>
<p><strong>概念</strong></p>
<p>MVP，即 Model View Presenter，包含逻辑、视图、presenter（作为视图和逻辑的中间层，暂时找不到一个合适的词来翻译）三个部分。MVP要求显示层和逻辑层分离，View 发生变化时逻辑层（Model）不用改变。</p>
<p><strong>为啥使用MVP</strong></p>
<p>界面需求千变万化，而产品逻辑相对的稳定。这是Android甚至其它移动应用的基本现象，所以逻辑和视图的解藕变得很重要。之前有人问过我MVC在Android中的应用，Activity在是MVC中的哪一个？其实回答这个问题有些尴尬的地方，Activity在Android系统中本来是用来呈现界面的一个组件，而在Android应用开发中又无不兼负着界面跳转和数据访问的职责（很多数据访问逻辑的确是在Activity中发生的），Activity到底是View还是Control还是二者兼具？不好回答。而MVP却很好的解释Android视图和逻辑的解藕。</p>
<p><strong>如何在Android中使用？</strong>
<ul>
<li>presenter</li>
</ul>
<p>处于 View 和 Model 之间，控制View的行为同时调度业务逻辑层的行为。这样View和Model不用直接交互。在Android中我们可以建一个XxxPresenter类来负责这层。
<ul>
<li>View</li>
</ul>
<p>毫无疑问，在Android中Activity是用来承载视图的，但是我们希望图的职责变得更加纯净，只负责显示视图，我们不希望Activity和model有直接的联系，我门可以定义一个View接口，在这个View中定义视图行为的抽象，让具体的Activity来实现，所以这个Activity要实现这个View，通常取名为XxxView。然后Presenter持有这个View的引用从而能调用View的行为。
<ul>
<li>Model</li>
</ul>
<p>只负责应用的业务逻辑，例如数据请求或数据处理等，我们可以建一个XxxManager类来负责这层。</p>
<p><strong>一个例子：MVP Demo</strong><br />说了那么多，其实最重要的还是看Demo，不然都很虚，例子是学习新东西的最好方式。</p>
<p>例子源码地址：<a href="https://github.com/liuguangli/androidmvp" rel="external nofollow noreferrer">https://github.com/liuguangli/androidmvp</a></p>
<p><strong>结尾</strong></p>
<p>使用MVC模式来分离Android应用的界面和业务逻辑不是一件容易的事，MVP在Android应用解藕上却很容易解释。无论使用什么样的模式或方法构建应用，最终的目的都是为了提高代码的可读性、可维护性，冗长难懂的代码可能会让计算机编译执行多耗几毫秒，但是最要命的是解决一个小bug却花上几个小时甚至几天去理清代码来解决。作为开发者我门大部分时间还是耗费在调试、找bug上，而不是编码，至于代码设计，值得花时间去思考。</p>
<p>参考：<a href="http://antonioleiva.com/mvp-android/" rel="external nofollow noreferrer">http://antonioleiva.com/mvp-android/</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 04:51:22</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>MVP 模式在 Android 中的使用的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1N8odp.html" rel="bookmark">详解MVP模式在Android开发中的应用&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.MVP介绍  随着UI创建技术的功能日益增强,UI层也履行着越来越多的职责.为了更好地细分视图(View)与模型(Model)的功能,让View专注于处理数据的可视化以及与用户的交互,同时让Model只关系数据的处理,基于MVC概念的MVP(Model-View-Presenter)模式应运而生. 在MVP模式里通常包含4个要素:  (1)View:负责绘制UI元素.与用户进行交互(在Android中体现为Activity); (2)View interface:需要View实现的接口,Vi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z72OZ5p.html" rel="bookmark">MVP模式在Android项目中的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  以前在写项目的时候,没有过多考虑架构模式的问题,因为之前一直做J2EE开发,而J2EE都是采用MVC模式进行开发的,所以在搭建公司项目的时候,也 是使用类似MVC的架构(严格来讲,之前的项目还算不上MVC模式,只是简单将网络请求与界面分离,然后通过Handle通知更新界面).这种写法,在后 面随着项目越来越大,Activty或者Fragment中代码也会越来越多,导致项目的维护变的越来越复杂.所以需要另外一种架构模式来解决这个问题, 在网上浏览了一圈,发现适合Android开发的架构模式非M			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP277rb.html" rel="bookmark">详解MVP模式在Android开发中的应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.MVP介绍 随着UI创建技术的功能日益增强,UI层也履行着越来越多的职责.为了更好地细分视图(View)与模型(Model)的功能,让View专注于处理数据的可视化以及与用户的交互,同时让Model只关系数据的处理,基于MVC概念的MVP(Model-View-Presenter)模式应运而生. 在MVP模式里通常包含4个要素: (1)View:负责绘制UI元素.与用户进行交互(在Android中体现为Activity); (2)View interface:需要View实现的接口,View			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bodxODM.html" rel="bookmark">界面-winform中使用mvp模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 winform中使用mvp模式 如题,现在在网络上找到的文章99%都是差不多的,有原创的但都解决不了我的问题. 在一个界面中除了textbox的text之外,如果还要对这个textbox的大小和位置做修改 的话是不是又要再在接口里面写一个位置和大小的get,set,在界面中再实现一次,如果除了大小,位置之外,以后还有各种属性的设置,这样不就很麻烦,还有如果一个界面有10个textbox,都需要做这样的设置(值不一样),那么不就很长繁琐.跪求大神解答小弟这小小的问题. 解决方案 你可以在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL27Gab.html" rel="bookmark">Android Builder模式在开发中的应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近在学习图片加载框架Glide的时候,被他精简的写法震惊了.一句话,就可以搞定. Glide.with(mContext) .load(url) .centerCrop() .placeholder(R.drawable.default_img) .crossFade() .into(mImageView); 同时在年初的时候,学习RXJava的时候,用链式编程很优雅. Observable .just( &quot;1&quot; , &quot;2&quot; ) .subscribeOn(Sche			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zemGlNz.html" rel="bookmark">Android MVP模式ListView中嵌入checkBox的使用方法&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MVP模式 ListView中嵌入checkBox的使用 本文写的是一个小demo,如何在ListView中嵌入checkBox配合使用,本篇文章与前面的嵌入Button类似,同样的采用MVP模式的写代码,本次案例中会有几个小细节,我将会在案例中介绍. 程序基本框架如下: View层: MainActivity.java public class MainActivity extends AppCompatActivity implements ViewInter&lt;MyBean&gt;{ //Lis			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRYmGKb.html" rel="bookmark">Android中mvp模式使用实例详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MVP 是从经典的模式MVC演变而来,它们的基本思想有相通的地方:Controller/Presenter负责逻辑的处理,Model提供数据,View负 责显示.作为一种新的模式,MVP与MVC有着一个重大的区别:在MVP中View并不直接使用Model,它们之间的通信是通过Presenter (MVC中的Controller)来进行的,所有的交互都发生在Presenter内部,而在MVC中View会从直接Model中读取数据而不是通过 Controller. 在MVC里,View是可以直接访问			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ9GAob.html" rel="bookmark">Android MVP模式ListView中嵌入checkBox的使用方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MVP模式 ListView中嵌入checkBox的使用 本文写的是一个小demo,如何在ListView中嵌入checkBox配合使用,本篇文章与前面的嵌入Button类似,同样的采用MVP模式的写代码,本次案例中会有几个小细节,我将会在案例中介绍. 程序基本框架如下: View层: MainActivity.java public class MainActivity extends AppCompatActivity implements ViewInter&lt;MyBean&gt;{ //Lis			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjm4GVz.html" rel="bookmark">按钮-MVP模式中 VIEW与VIEW能直接通行吗</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 MVP模式中 VIEW与VIEW能直接通行吗 我想在项目中 在一个窗口中点击一个按钮另一个窗口需要做一些按钮禁用,我采用的是MVP模式,每一个窗口对应一个PRESENTER,我想知道窗口间的通信时VIEW与VIEW直接通信,还是通过对应的PRESENTER去通信? PRESENTER和PRESENTER之间又是如何通信的. 解决方案 View与View间可以直接通信,Presenter对于View而言最终只是获取加工数据的一个接口.关于MVP请参看http://blog.csdn.ne			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAdJvb.html" rel="bookmark" class="title">布局好的页面探讨&colon;设计细节方向的碰撞</a>
					<div>
						文章描述:布局好的页面探讨:设计细节方向的碰撞. 以前做项目得到一个经验,就是在立项前,不需要拿个布好局的页面出来讨论,因为我们觉得,在方向还未清楚的时候,讨论页面细节可能是浪费时间. 这一回,战略部 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLN60b.html" rel="bookmark" class="title">关于VMWare和Virtual PC两种主流虚拟机的选择</a>
					<div>
						主要说说VMWare与Virtual PC(以下简称VPC)区别因为我和许多朋友一样都在为二者的取舍而困惑. 内存篇 VMWare占用你为虚拟机分配好的内存并用不释放,可调. VPC根据你实际使用情况 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mvkg9p.html" rel="bookmark" class="title">指针与数组（三）</a>
					<div>
						由于C程序的函数调用是采用传值调用,即实际参数与形式参数相结合时,实参将值传给形式参数,所以当我们利用函数来处理数组时,如果需要对数组在子程序中修改,只能传递数组的地址,进行传地址的调用,在内存相同的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPrOoz.html" rel="bookmark" class="title">OSPF路由过滤测试</a>
					<div>
						1.测试拓扑: 参考文档,思科:http://hi.baidu.com/tkgoood/item/30ce5f881e52edcd98255fdf 参考文档,华三:http://www.h3c.com ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAwjLb.html" rel="bookmark" class="title">我是这么利用数据：脑袋决定屁股</a>
					<div>
						打工是个漫长的过程,有时候,这种一眼可以看到10年后的感觉,着实让人感到窒息!于是,无数的业界 先驱和大牛跳出来,吹着冲锋号让我们去创业!今天我想大家分享一点点我在工作态度上的经验. 首先,我想说的是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kE4qz.html" rel="bookmark" class="title">win7系统电脑关机一直处在正在关机状态怎么办？</a>
					<div>
						win7系统电脑关机一直显示正在关机怎么办?   方法如下: 1.在&quot;开始&quot;菜单点击&quot;附件 -&gt; 系统工具&quot;,然后点击次文件夹下的&quot;磁盘碎片整理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62O3LM.html" rel="bookmark" class="title">PhotoShop打造美女超酷的光效图片效果教程</a>
					<div>
						教程中我将告诉你如何使用液化工具制作出强光特效图像效果.本教程还用到简单的光影素材和笔刷. 本教程是为高级教程,有些东西也许只是简要地提到,相信大家都懂的.我们开始吧. 最终效果预览: 步骤1 开始创 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBY6Wb.html" rel="bookmark" class="title">WPS演示中表格样式的选择</a>
					<div>
						  前面我们探讨了在WPS演示中插入图片以及插入自选图片的方法,而表格也是我们常常使用的工具,在演示文稿中插入表格,也是常有的事,下面小编就为大家介绍下热火在WPS演示中插入表格. 首先打开wps演示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7B66M.html" rel="bookmark" class="title">WPS表格&OpenCurlyDoubleQuote;共享工作簿&rdquo;实现协同工作</a>
					<div>
						  在工作中,我们经常会遇到收集员工个人信息.收集学生测试成绩等诸如此类之事.常见的收集方法是先打印纸质表格,然后由各位员工或教师依个儿填写,填写完毕之后再由专人输入电脑.这样虽然也能很好的完成任务, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72RaZp.html" rel="bookmark" class="title">PS调出金灿灿背景之替换颜色法</a>
					<div>
						Photoshop调色基础实例教程,在本文中我们将学习运用PS的替换颜色命令将MM风景照的背景调成金灿灿色调,希望能给朋友们带来帮助~~ 步骤/方法 教程原图: 效果: 打开原图,复制一层,选择&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eG2gb.html" rel="bookmark" class="title">Nginx安装路径</a>
					<div>
						  程序安装路径:/usr/local/nginx 配置文件路径:/usr/local/nginx/conf 网站配置文件路径:/usr/local/nginx/conf/vhost 单个网站的配置文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJVKEp.html" rel="bookmark" class="title">Jquery ajax异步提交</a>
					<div>
						Ajax原生方法: &lt;script type=&quot;text/javascript&quot;&gt;     function delStudent(studentid){        ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaNYkz.html" rel="bookmark" class="title">联想Thinkpad笔记本自带win10改win7</a>
					<div>
						联想Thinkpad笔记本自带win10改win7图文教程 最新的Thinkpad笔记本默认预装了windows10系统,很多用户不喜欢win10系统,打算安装win7系统,但是预装win10的机型默 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3v1Ez.html" rel="bookmark" class="title">IIS7&period;5配置问题</a>
					<div>
						问题描述 使用IIS配置服务器,很久以前用过没有问题.现在配置点击启动后,用浏览器访问连接不成功.有没有人遇到相关问题?会不会重装IIS就好了? 解决方案 本帖最后由 u014049599 于 201 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7DAXz.html" rel="bookmark" class="title">《Adobe Fireworks CS6中文版经典教程》&mdash;&mdash;1&period;6复习</a>
					<div>
						1.6复习 复习题 1. 工具面板有何用途? 如何折叠面板?为何要这样做? 如果在工作区中找不到所需的面板,如何打开它? 在设计过程中,属性面板有何用途? 如何快速添加占位文本? 复习题答案 1．所有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjqZQp.html" rel="bookmark" class="title">colors-设置布局框架中的前景颜色</a>
					<div>
						问题描述 设置布局框架中的前景颜色 通过编程设置框架布局的前景颜色(不在XML属性中),有RGB颜色代码,怎么将颜色转换为drawable frm.setForeground(Drawable); 请 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3605z.html" rel="bookmark" class="title">listview-ArrayAdapter报出NullPointerException异常</a>
					<div>
						问题描述 ArrayAdapter报出NullPointerException异常 在Activity中有一个listview.listview中使用arrayAdapter布局填充.array Ad ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBawrM.html" rel="bookmark" class="title">spring mvc-mybatis插入唯一字段&lpar;编号&rpar;不重复数据！</a>
					<div>
						问题描述 mybatis插入唯一字段(编号)不重复数据! mybatis+spring mvc做一下简单的CRUD, 如果插入的数据的编号已经存在,插入失败,该怎么写,说具体点,例如说是在映射文件里面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqXP1b.html" rel="bookmark" class="title">Youku 视频绝对地址获取的方法详解&lowbar;php技巧</a>
					<div>
						前一阵子为了研究 KnLiveCommentary 而进行了一系列的关于视频站点的研究.由于KnLiveCommentary需要能够获取充足的视频源进行测试,所以我们选取了 Youku(优酷)一个比较 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0jvmM.html" rel="bookmark" class="title">mysql的问题。。。。jdbc保存到mysql</a>
					<div>
						问题描述 mysql的问题....jdbc保存到mysql 19:25:33586 ERROR [STDERR] java.sql.SQLException: Incorrect string val ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mye2LdM.html" rel="bookmark" class="title">动态-关于validform 验证框架5&period;3&period;1 问题</a>
					<div>
						问题描述 关于validform 验证框架5.3.1 问题 动态添加ignore失败,能举例嘛?为什么用drognly为true,demo.check还是false,忽略不是指不验证的意思吗?subm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeABkM.html" rel="bookmark" class="title">java中OnTouchListener OnLongClickListener OnClickListener</a>
					<div>
						问题描述 java中OnTouchListener OnLongClickListener OnClickListener java中OnTouchListener OnLongClickListen ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjoPOM.html" rel="bookmark" class="title">微信支付&lbrack;v3&rsqb;</a>
					<div>
						原文:微信支付[v3] V2升级V3 顺便记录一下 ,文档: http://pay.weixin.qq.com/wiki/doc/api/index.html !!! 支付授权目录与测试人的微信帐号白 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZB8Yaz.html" rel="bookmark" class="title">自媒体井喷状态，缺点仍然存在</a>
					<div>
						[核心提示] 自媒体现在正处于井喷状态,而且自媒体平台也在不断地发展壮大,变得种类繁多.但是在繁荣的背后,笔者感受到的却是自媒体平台的不作为,并且,这也正是自媒体逐渐乱象的根源. 当我们提到自媒体平台 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBg37kM.html" rel="bookmark" class="title">衬底规划产能超需求10倍LED企业面临&OpenCurlyDoubleQuote;生死劫&rdquo;</a>
					<div>
						规划产能达到市场需求的10倍,这种供大于求局面发生在LED衬底领域. 昨日(11月17日),高工LED产业研究所所长张小飞在接受&lt;每日经济新闻&gt;记者采访时表示,目前整个LED行业的投资规模 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKvK8z.html" rel="bookmark" class="title">求助 安装glance时 使用glance index报错</a>
					<div>
						问题描述 如题安装glance时使用glanceindex测试,因为没有镜像,我看网上说要务输出才正确.但我的显示Errorfindingaddressfor192.168.50.130:[Error ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqLGdp.html" rel="bookmark" class="title">郭涛&colon;两种让电子商务企业迅速制胜的模式分析</a>
					<div>
						这这里我们一起探讨适合中国市场的可以帮助企业迅速制胜的的两种电子商务模式,这两种模式分别为电视购物+电子商务+目录邮购+电话直销+连锁代理的业务运营模式相对与电视购物+电子商务+目录邮购+电话直销+旗 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWYqQp.html" rel="bookmark" class="title">万物联网 当心防护漏洞</a>
					<div>
						以色列安全大厂Imperva信息安全产品部研发总监Ben Herzberg昨日表示,物联网(IoT)装置规模庞大,未来甚至连尿布都可以联网,在万物联网时代,不像以往个人计算机有充分的安全防护,已经成为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7wDXAz.html" rel="bookmark" class="title">android获取mac地址</a>
					<div>
						1 1.&lt;uses-permission android:name=&quot;android.permission.ACCESS_WIFI_STATE&quot;/&gt;     ? 1   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWVZ6p.html" rel="bookmark" class="title">10家企业激烈角逐&OpenCurlyDoubleQuote;创新沙盒&rdquo; UnifyID夺得第一</a>
					<div>
						旧金山时间2月13日,全球安全行业最具影响力的行业大会--信息安全峰会RSA Conference 2017在美国旧金山开幕,在创新沙盒比赛中,10家入围企业经过激烈角逐,最终提供ID识别认证的Uni ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
